Subject: 23.1.50; mark deactivated without running deactivate-mark-hook when replying with Gnus
From: Chong Yidong <[email-masked]>
To: Tassilo Horn <[email-masked]>
Cc: [email-masked]
Date: Fri, 01 Jan 2010 15:43:29 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

> I use this code, to have a 'bar cursor type when the mark is active.
>
> --8<---------------cut here---------------start------------->8---
> (defun th-activate-mark-init ()
>   (setq cursor-type 'bar))
> (add-hook 'activate-mark-hook 'th-activate-mark-init)
>
> (defun th-deactivate-mark-init ()
>   (setq cursor-type 'box))
> (add-hook 'deactivate-mark-hook 'th-deactivate-mark-init)
> --8<---------------cut here---------------end--------------->8---
>
> This works very good, except when replying to a mail with Gnus using `R'
> in summary.  `R' first yanks the quoted contents of the email I want to
> reply to into the message buffer.  After that, I have a 'bar cursor but
> no active region.

The function message-exchange-point-and-mark in message.el was setting
mark-active by hand, incorrectly.  I've checked in a fix.  Thanks for
the bug report.